
package de.ivu.elect.business.replikation.entity;

public enum ReplikationEinstellung {

  DEAKTIVIERT,
  MASTER {

    @Override
    public boolean isMaster() {
      return true;
    }
  },
  SLAVE {

    @Override
    public boolean isSlave() {
      return true;
    }
  };

  public boolean isMaster() {
    return false;
  }

  public boolean isSlave() {
    return false;
  }

  public boolean isAktiv() {
    return isMaster() || isSlave();
  }

}
